## Apache Zeta Components Manual :: Docs For Class ezcReflectionMixedType

### Reflection::ezcReflectionMixedType

### Class ezcReflectionMixedType

Representation for the mixed type

Source for this file: /Reflection/src/types/mixed_type.php

    ezcReflectionAbstractType
       |
       --ezcReflectionMixedType

Version: | //autogen//

### Member Variables

protected ezcReflectionType[] | `$types`

### Inherited Member Variables

From ezcReflectionAbstractType
protected | `ezcReflectionAbstractType::$typeName`

### Method Summary

public string | `getTypeName( )` Return the name of this type as string
public ezcReflectionType[] | `getTypes( )` Returns a list of types

### Inherited Methods

From ezcReflectionAbstractType
public ezcReflectionAbstractType | `ezcReflectionAbstractType::__construct()`
public string | `ezcReflectionAbstractType::getTypeName()`
public string | `ezcReflectionAbstractType::getXmlName()` Returns name of the correspondent XML Schema datatype
public DOMElement | `ezcReflectionAbstractType::getXmlSchema()`
public boolean | `ezcReflectionAbstractType::isArray()`
public boolean | `ezcReflectionAbstractType::isMap()`
public boolean | `ezcReflectionAbstractType::isObject()`
public boolean | `ezcReflectionAbstractType::isPrimitive()`
public boolean | `ezcReflectionAbstractType::isScalarType()` Returns whether this type is one of integer, float, string, or boolean.
public String | `ezcReflectionAbstractType::__toString()` Returns a string representation.

### Methods

#### getTypeName

string getTypeName( )

Return the name of this type as string

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::getTypeName()` |

#### getTypes

ezcReflectionType[] getTypes( )

Returns a list of types

Documentation generated by phpDocumentor 1.4.3